- Qt 5.15
- Qt Core
- C++ Classes
- TimerInfo
- Qt 5.15.19 Reference Documentation

# TimerInfo Struct

struct QAbstractEventDispatcher::TimerInfo

- List of all members, including inherited members

## Public Functions

| TimerInfo(int timerId, int interval, Qt::TimerType timerType)

## Public Variables

int | interval
int | timerId
Qt::TimerType | timerType

## Detailed Description

This struct represents information about a timer: timerId, interval, and timerType.

See also registeredTimers().

## Member Function Documentation

### TimerInfo::TimerInfo(int timerId, int interval, Qt::TimerType timerType)

Constructs a TimerInfo struct with the given timerId, interval, and timerType.

## Member Variable Documentation

### int TimerInfo::interval

The timer's interval.

### int TimerInfo::timerId

The timer's unique id.

### Qt::TimerType TimerInfo::timerType

The timer's type

See also Qt::TimerType.